/*
 * RoomObject.h
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#ifndef ROOMObject_H_
#define ROOMObject_H_

#include "../ARK.h"
#include <Box2D/Box2D.h>

class RoomObject  {
	public: 
		Image* image;
		b2Body* dynamicBody;
		float radius;

		float scaleTimer;
		float scaleDuration;
		
		RoomObject(); 
		void reset();
		void set(Image* image, float x, float y);
		virtual void update();
		virtual void render();
		virtual ~RoomObject();
};

#endif /* ROOMObject_H_ */
