/*
 * ShelfObject.cpp
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#include "ShelfObject.h"
#include "../DefaultGame.h"
  

ShelfObject::ShelfObject():
    staticBody(NULL)
	
	{

//	DefaultGame* dg = DefaultGame::getInstance(); 

	//m_bounds = new ARK::Geometry::Rectangle(0, 0, 30, 30);
	//m_bounds->setLocationByCenter(240, -50);
 
	//m_velocity->set(0, 0); 
	//m_velocityMax->set(250, 200);  
	//m_acceleration->set(400, 600);



} 

void ShelfObject::set(float width, float x, float y) {
	DefaultGame* dg = DefaultGame::getInstance();
	if (staticBody != NULL) {
		dg->stateInGame->world->DestroyBody(staticBody);
		staticBody = NULL;
	}

	// create floor
	b2BodyDef groundBodyDef;
	groundBodyDef.position.Set(w2b(x), w2b(y));

	staticBody = dg->stateInGame->world->CreateBody(&groundBodyDef);
	
	b2PolygonShape groundBox;
	groundBox.SetAsBox(w2b(width/2), w2b(2));
	staticBody->CreateFixture(&groundBox, 0.0f);

} 
  
void ShelfObject::reset() {  
	//m_bounds->setLocationByCenter(MathUtil::randBetweenf(100.0f, 380.0f), -50.0f);
}  

void ShelfObject::update() {
	//InGameState* igs = DefaultGame::getInstance()->stateInGame;

	//m_bounds->asRectangle()->setY(m_bounds->getMinY() + (igs->m_speed * 0.5f * timer->getDelta()));

	//m_animation->update(timer);

	//if (m_bounds->getMinY() - igs->m_cameraY > 900) {
	//	setPendingRemoval(true);
	//}
}

void ShelfObject::render() {
	b2Vec2 pos = staticBody->GetPosition();
	float angle = staticBody->GetAngle();
	//r->drawRect(pos.x, pos.y, 10, 10);
	image->setDirty(true);
	image->setRotation(MathUtil::toDegrees(angle));
	image->drawAligned(pos.x * InGameState::worldScale, pos.y * InGameState::worldScale, Renderer::ALIGN_CENTER, Renderer::ALIGN_TOP);
	
	//r->setDrawColor(Color::green);
	//r->fillRect(m_bounds->getMinX(), m_bounds->getMinY(), m_bounds->getWidth(), m_bounds->getHeight());

	//s_image->drawCentered(m_bounds->getCenterX(), m_bounds->getCenterY());
	//m_animation->getCurrentFrame()->drawCentered(m_bounds->getCenterX(), m_bounds->getCenterY());
}

ShelfObject::~ShelfObject() { 
	 
}
