/*
 * InstructionsState.cpp
 *
 *  Created on: 08 Jun 2011
 *      Author: Ashley
 */

#include "../ARK.h"
#include "InstructionsState.h"

#include "../DefaultGame.h"

InstructionsState::InstructionsState():
	GameState() {

}

unsigned int InstructionsState::id() {
	return StatesList::STATE_INSTRUCTIONS;
}

void InstructionsState::enter(GameContainer* container, StateBasedGame* game, GameState* from) {
	
}
void InstructionsState::leave(GameContainer* container, StateBasedGame* game, GameState* to) {

}

void InstructionsState::init(GameContainer* container, StateBasedGame* game) {
}

void InstructionsState::update(GameContainer* container, StateBasedGame* game, GameTimer* timer) {
	DefaultGame* dg = DefaultGame::getInstance();
	Input* i = ARK2D::getInput();

	if (i->isKeyPressed(Input::KEY_ENTER)) {
		//dg->sfx_ui_select->play();
		game->enterState(dg->stateMenu);
	}
} 

void InstructionsState::render(GameContainer* container, StateBasedGame* game, Renderer* r) {
	r->drawString("Instructions State", 20, 20, Renderer::ALIGN_LEFT, Renderer::ALIGN_TOP);
}  


 
InstructionsState::~InstructionsState() {

}

