/*
 * RoomObject.h
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#ifndef DecorationObject_H_
#define DecorationObject_H_

#include "../ARK.h"
#include <Box2D/Box2D.h>

class DecorationObject  {
	public: 
		Image* image;
		float x;
		float y;
		float px;
		float py;
		
		DecorationObject(); 
		void reset();
		void set(Image* image, float x, float y, float px, float py);
		virtual void update();
		virtual void render();
		virtual ~DecorationObject();
};

#endif /* DecorationObject_H_ */
