/*
 * RoomObject.h
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#ifndef MyParticle_H_
#define MyParticle_H_

#include "../ARK.h"

class MyParticle : public GameObject {
	public: 
		Image* image;
		Vector2<float> position;
		Vector2<float> velocity;
		float timer;
		float duration;

		unsigned int type;
		
		MyParticle(); 
		void reset();
		virtual void update(GameContainer* container, GameTimer* timer);
		virtual void render(GameContainer* container, Renderer* r);
		virtual ~MyParticle();
};

#endif /* MyParticle_H_ */
