/*
 * SummaryState.h
 * 08 Jun 2011
 */

#ifndef SUMMARYSTATE_H_
#define SUMMARYSTATE_H_

#include "../ARK.h"

class DefaultGame;

class SummaryState : public GameState {
	public:

		SummaryState();
		void enter(GameContainer* container, StateBasedGame* game, GameState* from);
		void leave(GameContainer* container, StateBasedGame* game, GameState* to);

		unsigned int id();
		void init(GameContainer* container, StateBasedGame* game);
		void update(GameContainer* container, StateBasedGame* game, GameTimer* timer);
		void render(GameContainer* container, StateBasedGame* game, Renderer* r);

		virtual ~SummaryState();
};

#endif /* SUMMARYSTATE_H_ */
